Auto Multiple Choice - Bug # 401: AMC analyse misses detecting rotated ID boxes

Status: WontFix Priority: Low

Author: shreikant kv Category:

Created: 01/20/2016 Assignee:

Updated: 04/13/2017 Due date:

Description: To use header space, suppose | put the binary AMCIDboxes ABC in right/left margin.

Then, they are not recognized.

History

01/20/2016 11:18 am - shreikant kv

In fact, this can be found at Layout Dectection +Check Layout stage itself.

01/20/2016 11:43 am - Alexis Bienveniie

Please also provide a minimal sample source file, so that we can try to make it work.

01/20/2016 12:17 pm - shreikant kv

- File source.tex added

| have attached a tex file. | forgot to mention that | used \rotatebox over AMCIDboxesABC to
accommodate vertically in the margin. When | try Check Layouts: | can see that AMC is 'thinking'/
'expecting' the boxes to be horizontal.

You can go directly to the line: \marginpar{\rotatebox{90}{\AMCIDBoxesA\ \AMCIDBoxesB\ \AMCIDBoxesC}}
in the tex file.

01/20/2016 12:52 pm - Alexis Bienveniie
That's it : you can see in the _Check layouts_ window that the boxes are expected to be horizontal (blue boxes). The problem comes from
@rotatebox@, that makes the @\pdfsavepos@ wrong, so that AMC is confused.

I'm afraid | can't fix it. As a workaround, you can try to get the same positions of the boxes without @\rotatebox@ (maybe using a box with small width).

04/13/2017 02:37 pm - Alexis Bienveniie

- Status changed from New to WontFix

Files
DOC-sujet.pdf 68.2 kB 01/20/2016 shreikant kv
source.tex 3.9kB 01/20/2016 shreikant kv
